/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2020/04/30
* Description        : Main program body.
*******************************************************************************/

/*
 *@Note
 ڴӡ̣
 USART1_Tx(PA9)
 ʾʹ USART1(PA9) ӡԿ

*/

#include "debug.h"
#include "usart1.h"


/* Global typedef */

/* Global define */

/* Global Variable */


/*******************************************************************************
* Function Name  : main
* Description    : Main program.
* Input          : None
* Return         : None
*******************************************************************************/
int main(void)
{
    u8 value;
    u8 i=0;
    u8 tx485buf[9]={1,2,3,4,5};
    u8 rx485buf[9]={0};

    NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    Delay_Init();
    USART_Printf_Init(115200);

    USART1_Init(115200);



    while(1)
    {

        //
        RS485_Receive_Data(rx485buf,&value);
//        printf("value1=%d\r\n",value);
        if(value)//յ
        {
            for(i=0;i<value;i++)
            {
                tx485buf[i]=rx485buf[i];
                printf("receive=%x\r\n",(u8)rx485buf[i]);
            }
        }
        Delay_Ms(1000);

        RS485_Send_Data(tx485buf,value);



    }
}

